Subject: bug#21882: 24.5; DocBook dbnotn.rnc notation.class is missing PDF

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 19:48:11 +0200

Daniel Barrett <[email-masked]> writes:

> The file /usr/share/emacs/24.5/etc/schema/dbnotn.rnc has a definition
> "notation.class" that contains a list of file types, such as "JPEG"
> and "PNG". Please add "PDF" to this list. I can confirm that O'Reilly
> Media, who I believe created the DocBook DTD, uses "PDF" for this
> purpose in the DocBook source code of its books. (I am an O'Reilly
> author.) Without "PDF", emacs nxml-mode reports that documents are invalid
> when they are not.
>
> Here is a diff:

(I'm going through old bug reports that have unfortunately not gotten
any responses.)

Thanks; I've now applied your patch to Emacs 27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no